[Haskell-cafe] gtk2hs in Ubuntu Gutsy

Stefan O'Rear stefanor at cox.net
Thu Oct 4 21:30:01 EDT 2007

On Thu, Oct 04, 2007 at 09:31:56AM -0700, Chad Scherrer wrote:
> I just installed the beta release for Ubuntu Gutsy, and I noticed that
> gtk2hs (provided by libghc6-gtk-dev) is still at version
> Worse, it's apparently not installable; when I try I get this message:
> libghc6-gtk-dev:
>  Depends: ghc6 (<6.6+) but 6.6.1-2ubuntu2 is to be installed
>  Depends: libghc6-cairo-dev but it is not going to be installed
> Do any of you guys know why this wouldn't include a newer version? Probably
> just an oversight, I'm guessing.

GHC does not have a stable binary interface, so binary libs for 6.6.0
will probably crash if linked by 6.6.1.

-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 189 bytes
Desc: Digital signature
Url : http://www.haskell.org/pipermail/haskell-cafe/attachments/20071004/86bb1f84/attachment.bin

More information about the Haskell-Cafe mailing list